FX Deal Calculation

This method returns a fast exchange rate calculation between two specified currencies. It calculates the recipient's net amount after applying the conversion rate.
Provide your bearer token in the Authorization header when making requests to protected resources. Example: Authorization: Bearer 123.

Query Params
string
required

ID or Symbol of the currency being exchanged.

string
required

ID or Symbol of the target currency.

number
required

The amount in currency_from to be exchanged.

Headers
string
required

Bearer token for authenticating the request. Example: Authorization: Bearer 123.

Responses

{
  "currency_from": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "USD",
    "symbol": "$",
    "label": "US Dollar"
  },
  "currency_to": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "EUR",
    "symbol": "€",
    "label": "Euro"
  },
  "rate1": 0.84,
  "net_amount": 840
}

{
  "error": "ERROR_CURRENCY_FROM_INVALID",
  "message": "Use only valid currency (id or symbol)",
  "statusCode": 400
}

{
  "error": "ERROR_TOKEN_EXPIRED",
  "message": "Access token has expired.",
  "statusCode": 401
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json